Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.stat
Class CallCounter

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.stat.CallCounter

All Implemented Interfaces:
  NewContactListener

    public class CallCounter

extends Object
implements NewContactListener

Defines a new-contact listener for counting calls. This encapsulates a measure matrix with K rows and a column for each statistical period. Each time a new contact is notified, the element with row k and column p is incremented, where k is the type of the new contact and p is its statistical period.

Constructor Summary
`CallCounter(CallCenter cc, StatPeriod statP, MeasureType mt)` Constructs a new call counter using call center `cc`, for type of measure `mt`, and using `statP` to obtain statistical periods.

Method Summary
`SumMatrix` | `getCount()` Returns the matrix containing the counts.
`void` | `init()` Initializes the call counter.
`void` | `newContact(Contact contact)` Notifies the listener about a new contact `contact`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallCounter

    public CallCounter(CallCenter cc,
                       StatPeriod statP,
                       MeasureType mt)

  Constructs a new call counter using call center `cc`, for type of measure `mt`, and using `statP` to obtain statistical periods. The measure type is used to determine if we have a measure using AWT, for which statistical periods are different than with regular measures.

  Parameters:
    `cc` - the call center model.
    `statP` - the object for obtaining statistical periods of calls.
    `mt` - the type of measure for the counter.

Method Detail

### getCount

    public SumMatrix getCount()

  Returns the matrix containing the counts.

### init

    public void init()

  Initializes the call counter.

### newContact

    public void newContact(Contact contact)

  Description copied from interface: `NewContactListener`
  Notifies the listener about a new contact `contact`. The given contact object can be assumed non-`null`, and may be stored or processed in any needed ways.

  Specified by:
    `newContact` in interface `NewContactListener`
  Parameters:
    `contact` - the new contact.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.